Bug 965381 - Fails to add a jenkins client to zend-5.6 app the 2nd time if it's removed from the app after migration
Fails to add a jenkins client to zend-5.6 app the 2nd time if it's removed fr...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vojtech Vitek
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 01:57 EDT by joycezhang
Modified: 2015-05-14 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:07:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2013-05-21 01:57:09 EDT
Description of problem:
If trying to remove jenkins client and then add jenkins client to zend-5.6 after migration, it would be failed with error shown as below:

Adding jenkins-client-1.4 to application 'idlezend' ... 
The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall). Please verify that you
can access the OpenShift server https://int.openshift.redhat.com/broker/rest/domains/dmintst1/applications/idlezend/cartridges


Version-Release number of selected component (if applicable):
Upgrading devenv-stage_353 to INT(devenv-3250) and migrate

How reproducible:
always

Steps to Reproduce:
1. Launch devenv-stage_353
2. Create a zend-5.6 app with jenkins client added
3. Add V1 marker to node
touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3250 instance to
same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Restart mcollective
#service mcollective restart
9. Clear the broker cache
#oo-admin-broker-cache --clear --console
10. Restart the rhc-broker
#server rhc-broker restart
12. Run migrate-mongo-2.0.28 
13. Run rhc-admin-migrate --version 2.0.2
14. Remove the jenkins client 
#rhc cartridge remove jenkins-client-1.4 -a appname --confirm
15. Add jenkins client again
#rhc cartridge add jenkins-client-1.4 -a appname

Actual results:
It's failed to add jenkins client again.


Expected results:
It should be always successful.

Additional info:
1. It's reproduced on INT or migrated to devenv_3250 manually.
2. It's also happened after migration for a zend-5.6 to add jenkins-client the 2nd time.

Here's the app for your reference on INT:
# rhc app show -a zendjk
zendjk @ http://zendjk-dmintst1.int.rhcloud.com/ (uuid: 5195ffa103ef64980500001f)
---------------------------------------------------------------------------------
  Created: May 17  6:00 PM
  Gears:   1 (defaults to medium)
  Git URL: ssh://5195ffa103ef64980500001f@zendjk-dmintst1.int.rhcloud.com/~/git/zendjk.git/
  SSH:     5195ffa103ef64980500001f@zendjk-dmintst1.int.rhcloud.com
  zend-5.6 (Zend Server 5.6)
  --------------------------
    Gears: 1 medium
Comment 1 Vojtech Vitek 2013-05-23 12:39:27 EDT
I believe this one is related to https://bugzilla.redhat.com/show_bug.cgi?id=964961.

https://github.com/openshift/li/pull/1451
Comment 2 Vojtech Vitek 2013-05-23 12:56:59 EDT
https://github.com/openshift/li/pull/1452
Comment 3 joycezhang 2013-05-24 03:10:28 EDT
Verified on devenv_3267, the jenkins client can be added and removed correctly after migration. Thanks.

Note You need to log in before you can comment on or make changes to this bug.